---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libHeapFilter.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3980, symBinAddr: 0x2980, symSize: 0x2A0 }
  - { offsetInCU: 0xAC8, offset: 0xAC8, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x56D00, symBinAddr: 0x9240, symSize: 0x0 }
  - { offsetInCU: 0xAEF, offset: 0xAEF, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x58C40, symBinAddr: 0xB180, symSize: 0x0 }
  - { offsetInCU: 0xB11, offset: 0xB11, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x59030, symBinAddr: 0xB570, symSize: 0x0 }
  - { offsetInCU: 0xB33, offset: 0xB33, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x59FD0, symBinAddr: 0xC510, symSize: 0x0 }
  - { offsetInCU: 0xB48, offset: 0xB48, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x59FE0, symBinAddr: 0xC520, symSize: 0x0 }
  - { offsetInCU: 0xBC3, offset: 0xBC3, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x56940, symBinAddr: 0x90D0, symSize: 0x0 }
  - { offsetInCU: 0xBCE, offset: 0xBCE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x56944, symBinAddr: 0x90D4, symSize: 0x0 }
  - { offsetInCU: 0xBD9, offset: 0xBD9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x56948, symBinAddr: 0x90D8, symSize: 0x0 }
  - { offsetInCU: 0xC1E, offset: 0xC1E, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x56A90, symBinAddr: 0x90E0, symSize: 0x0 }
  - { offsetInCU: 0xC97, offset: 0xC97, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x56B48, symBinAddr: 0x9198, symSize: 0x0 }
  - { offsetInCU: 0xCB5, offset: 0xCB5, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x56B4C, symBinAddr: 0x919C, symSize: 0x0 }
  - { offsetInCU: 0xCCE, offset: 0xCCE, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x56B50, symBinAddr: 0x91A0, symSize: 0x0 }
  - { offsetInCU: 0xCE7, offset: 0xCE7, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x56B54, symBinAddr: 0x91A4, symSize: 0x0 }
  - { offsetInCU: 0xD00, offset: 0xD00, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x56B58, symBinAddr: 0x91A8, symSize: 0x0 }
  - { offsetInCU: 0x92EF, offset: 0x92EF, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x56B60, symBinAddr: 0x91B0, symSize: 0x0 }
  - { offsetInCU: 0x9378, offset: 0x9378, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x56B70, symBinAddr: 0x91C0, symSize: 0x0 }
  - { offsetInCU: 0x9391, offset: 0x9391, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x56B78, symBinAddr: 0x91C8, symSize: 0x0 }
  - { offsetInCU: 0x93AA, offset: 0x93AA, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x56B80, symBinAddr: 0x91D0, symSize: 0x0 }
  - { offsetInCU: 0x93C3, offset: 0x93C3, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x56B88, symBinAddr: 0x91D8, symSize: 0x0 }
  - { offsetInCU: 0x93DC, offset: 0x93DC, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x56B90, symBinAddr: 0x91E0, symSize: 0x0 }
  - { offsetInCU: 0x93F6, offset: 0x93F6, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x56B98, symBinAddr: 0x91E8, symSize: 0x0 }
  - { offsetInCU: 0x94DC, offset: 0x94DC, size: 0x8, addend: 0x0, symName: __ZL11filter_type, symObjAddr: 0x10018, symBinAddr: 0x90A0, symSize: 0x0 }
  - { offsetInCU: 0x94F5, offset: 0x94F5, size: 0x8, addend: 0x0, symName: __ZL12objects_info, symObjAddr: 0x56BE0, symBinAddr: 0x91F0, symSize: 0x0 }
  - { offsetInCU: 0x95DD, offset: 0x95DD, size: 0x8, addend: 0x0, symName: __ZL16reported_objects, symObjAddr: 0x56C20, symBinAddr: 0x9230, symSize: 0x0 }
  - { offsetInCU: 0x95F6, offset: 0x95F6, size: 0x8, addend: 0x0, symName: __ZL23TAGGED_STATIC_INT_VALUE, symObjAddr: 0x1001C, symBinAddr: 0x90A4, symSize: 0x0 }
  - { offsetInCU: 0x960F, offset: 0x960F, size: 0x8, addend: 0x0, symName: __ZL25UNTAGGED_STATIC_INT_VALUE, symObjAddr: 0x10020, symBinAddr: 0x90A8, symSize: 0x0 }
  - { offsetInCU: 0x9628, offset: 0x9628, size: 0x8, addend: 0x0, symName: __ZL16TAGGED_INT_VALUE, symObjAddr: 0x10024, symBinAddr: 0x90AC, symSize: 0x0 }
  - { offsetInCU: 0x9641, offset: 0x9641, size: 0x8, addend: 0x0, symName: __ZL18UNTAGGED_INT_VALUE, symObjAddr: 0x10028, symBinAddr: 0x90B0, symSize: 0x0 }
  - { offsetInCU: 0x9661, offset: 0x9661, size: 0x8, addend: 0x0, symName: __ZL22TAGGED_INT_ARRAY_VALUE, symObjAddr: 0x1002C, symBinAddr: 0x90B4, symSize: 0x0 }
  - { offsetInCU: 0x9686, offset: 0x9686, size: 0x8, addend: 0x0, symName: __ZL24UNTAGGED_INT_ARRAY_VALUE, symObjAddr: 0x10034, symBinAddr: 0x90BC, symSize: 0x0 }
  - { offsetInCU: 0x969F, offset: 0x969F, size: 0x8, addend: 0x0, symName: __ZL21expected_object_count, symObjAddr: 0x1003C, symBinAddr: 0x90C4, symSize: 0x0 }
  - { offsetInCU: 0x96B8, offset: 0x96B8, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x56C28, symBinAddr: 0x9238, symSize: 0x0 }
  - { offsetInCU: 0x970F, offset: 0x970F, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x1600, symSize: 0x80 }
  - { offsetInCU: 0x97A4, offset: 0x97A4, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x1550, symSize: 0xB0 }
  - { offsetInCU: 0x97FF, offset: 0x97FF, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x1450, symSize: 0x100 }
  - { offsetInCU: 0x9A92, offset: 0x9A92, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x1680, symSize: 0xC0 }
  - { offsetInCU: 0x9AE4, offset: 0x9AE4, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x1740, symSize: 0x220 }
  - { offsetInCU: 0x9CC9, offset: 0x9CC9, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1960, symSize: 0xA0 }
  - { offsetInCU: 0x9D7C, offset: 0x9D7C, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1A00, symSize: 0x110 }
  - { offsetInCU: 0x9E72, offset: 0x9E72, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1B10, symSize: 0x150 }
  - { offsetInCU: 0x9FCF, offset: 0x9FCF, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1C60, symSize: 0x30 }
  - { offsetInCU: 0xA0B0, offset: 0xA0B0, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x1C90, symSize: 0x150 }
  - { offsetInCU: 0xA2A8, offset: 0xA2A8, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x1DE0, symSize: 0x160 }
  - { offsetInCU: 0xA568, offset: 0xA568, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x2220, symBinAddr: 0x1F40, symSize: 0x4A0 }
  - { offsetInCU: 0xA801, offset: 0xA801, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x23E0, symSize: 0x1B0 }
  - { offsetInCU: 0xAA1C, offset: 0xAA1C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x2590, symSize: 0xA0 }
  - { offsetInCU: 0xAAEB, offset: 0xAAEB, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x2630, symSize: 0x20 }
  - { offsetInCU: 0xAB22, offset: 0xAB22, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x2650, symSize: 0x20 }
  - { offsetInCU: 0xAB59, offset: 0xAB59, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x2670, symSize: 0x20 }
  - { offsetInCU: 0xACC8, offset: 0xACC8, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x2690, symSize: 0x1A0 }
  - { offsetInCU: 0xAFE4, offset: 0xAFE4, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x37B0, symBinAddr: 0x2830, symSize: 0x150 }
  - { offsetInCU: 0xB1A1, offset: 0xB1A1, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x2C20, symSize: 0x1D0 }
  - { offsetInCU: 0xB49D, offset: 0xB49D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x2DF0, symSize: 0x80 }
  - { offsetInCU: 0xB566, offset: 0xB566, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x2E70, symSize: 0x6C0 }
  - { offsetInCU: 0xC0DC, offset: 0xC0DC, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xBCD0, symBinAddr: 0x5B10, symSize: 0xB0 }
  - { offsetInCU: 0xC153, offset: 0xC153, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x3530, symSize: 0x70 }
  - { offsetInCU: 0xC247, offset: 0xC247, size: 0x8, addend: 0x0, symName: _nsk_jvmti_enableEvents, symObjAddr: 0x5190, symBinAddr: 0x35A0, symSize: 0xF0 }
  - { offsetInCU: 0xC37B, offset: 0xC37B, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x3690, symSize: 0xA0 }
  - { offsetInCU: 0xC486, offset: 0xC486, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x3730, symSize: 0x40 }
  - { offsetInCU: 0xC57C, offset: 0xC57C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x3770, symSize: 0x2B0 }
  - { offsetInCU: 0xC922, offset: 0xC922, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x3A20, symSize: 0xC0 }
  - { offsetInCU: 0xCA68, offset: 0xCA68, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x3AE0, symSize: 0x10 }
  - { offsetInCU: 0xCB2A, offset: 0xCB2A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x3AF0, symSize: 0x240 }
  - { offsetInCU: 0xCE13, offset: 0xCE13, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x3D30, symSize: 0x10 }
  - { offsetInCU: 0xCE70, offset: 0xCE70, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x3D40, symSize: 0x330 }
  - { offsetInCU: 0xD18E, offset: 0xD18E, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xA050, symBinAddr: 0x4070, symSize: 0x10 }
  - { offsetInCU: 0xD1EB, offset: 0xD1EB, size: 0x8, addend: 0x0, symName: _is_primitive_type, symObjAddr: 0xA060, symBinAddr: 0x4080, symSize: 0xC0 }
  - { offsetInCU: 0xD237, offset: 0xD237, size: 0x8, addend: 0x0, symName: _field_callback, symObjAddr: 0xA210, symBinAddr: 0x4140, symSize: 0x1B0 }
  - { offsetInCU: 0xD33A, offset: 0xD33A, size: 0x8, addend: 0x0, symName: _string_callback, symObjAddr: 0xA3C0, symBinAddr: 0x42F0, symSize: 0x200 }
  - { offsetInCU: 0xD461, offset: 0xD461, size: 0x8, addend: 0x0, symName: _array_callback, symObjAddr: 0xA5C0, symBinAddr: 0x44F0, symSize: 0x1F0 }
  - { offsetInCU: 0xD584, offset: 0xD584, size: 0x8, addend: 0x0, symName: _heap_callback, symObjAddr: 0xA7B0, symBinAddr: 0x46E0, symSize: 0x150 }
  - { offsetInCU: 0xD687, offset: 0xD687, size: 0x8, addend: 0x0, symName: _object_free_callback, symObjAddr: 0xA900, symBinAddr: 0x4830, symSize: 0x60 }
  - { offsetInCU: 0xD99A, offset: 0xD99A, size: 0x8, addend: 0x0, symName: _tag_objects, symObjAddr: 0xAA50, symBinAddr: 0x4890, symSize: 0xB30 }
  - { offsetInCU: 0xE70C, offset: 0xE70C, size: 0x8, addend: 0x0, symName: _release_object_info, symObjAddr: 0xB580, symBinAddr: 0x53C0, symSize: 0x100 }
  - { offsetInCU: 0xE82B, offset: 0xE82B, size: 0x8, addend: 0x0, symName: _verify_objects, symObjAddr: 0xB680, symBinAddr: 0x54C0, symSize: 0x150 }
  - { offsetInCU: 0xE8ED, offset: 0xE8ED, size: 0x8, addend: 0x0, symName: __ZL5agentP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xB7D0, symBinAddr: 0x5610, symSize: 0x500 }
  - { offsetInCU: 0xEEC7, offset: 0xEEC7, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xBD80, symBinAddr: 0x5BC0, symSize: 0x36A }
...
